After adding or cancelling the adding of a credit card, user is stuck at blank page

Bug #1504158 reported by Natalia Bidart on 2015-10-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
Alejandro J. Cura

Bug Description

When initiating a purchase, if I click on add credit/debit card, I'm taken to an embedded web page with submit buttons Add and Cancel.

After hitting any of those (with valid data in the Add case), I'm left in the same "browser" screen with a blank page. Logs show:

2015-10-08 10:50:45,787 - DEBUG - Get Add Payment URL: QUrl( "https://myapps.developer.staging.ubuntu.com/api/2.0/click/paymentmethods/add/?currency=USD" )
2015-10-08 10:50:51,374 - DEBUG - Get Add Payment URL: QUrl( "https://myapps.developer.staging.ubuntu.com/api/2.0/click/paymentmethods/add/?currency=USD" )
2015-10-08 10:50:52,259 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/?currency=USD:57) Receiver: bind
2015-10-08 10:50:52,706 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/child/?currency=USD:788) Signal: send INIT
2015-10-08 10:50:52,721 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/?currency=USD:57) Receiver: received INIT
2015-10-08 10:50:52,723 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/?currency=USD:57) Receiver: timer reset
2015-10-08 10:50:52,724 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/?currency=USD:57) Receiver: timer stop
2015-10-08 10:50:52,725 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/?currency=USD:57) Receiver: timer start
2015-10-08 10:50:56,695 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/child/?currency=USD:788) Signal: send HEARTBEAT
2015-10-08 10:50:56,701 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/?currency=USD:57) Receiver: timer reset
2015-10-08 10:50:56,704 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/?currency=USD:57) Receiver: timer stop
2015-10-08 10:50:56,706 - DEBUG - [JS] (https://myapps.developer.staging.ubuntu.com/click/payment-method/add/?currency=USD:57) Receiver: timer start

Related branches

Rodney Dawes (dobey) on 2015-10-26
Changed in pay-ui:
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Critical
status: New → In Progress
Changed in canonical-devices-system-image:
assignee: nobody → Alejandro J. Cura (alecu)
importance: Undecided → Critical
status: New → In Progress
milestone: none → ww46-2015
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:pay-ui at revision 135, scheduled for release in pay-ui, milestone Unknown

Changed in pay-ui:
status: In Progress → Fix Committed
Changed in canonical-devices-system-image:
status: In Progress → Fix Committed
Rodney Dawes (dobey) on 2015-11-06
Changed in pay-ui:
status: Fix Committed → Fix Released
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers